## wmrack 1.4

=== debian/changelog ===
wmrack (1.4-5) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/patches
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 21 Aug 2015 22:39:23 -0400

wmrack (1.4-4) unstable; urgency=medium

  * debian/clean
    - Remove unnecessary file.
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
    - Remove libxt-dev from Build-Depends.
  * debian/patches
    - (fix_kfreebsd_ftbfs.patch) Fix FTBFS on GNU/kFreeBSD.
    - (update_makefile.patch) Honor LDFLAGS and DESTDIR.
    - (fix_-Wformat.patch) Fix compiler warnings.
    - (rename_configure.in.patch) Split from update_autotools.patch to
      increase readability.
    - (fix_expose_loop.patch) Fix flicker when run without -w in Window
      Maker (Closes: #46008).
    - (check_home.patch) Avoid segmentation fault when HOME environment
      variable is undefined (Closes: #716473).
    - (fix_manpage.patch) Fix additional typo.
    - (fix_resource_leak.patch) Call fclose() on file opened with fopen().
  * debian/rules
    - Add get-orig-source target.
    - Remove override_dh_auto_* targets; patched Makefiles instead.
  * debian/watch
    - Use updated file from sepwatch.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 06 Jan 2015 18:13:08 -0600

wmrack (1.4-3) unstable; urgency=medium

  * New maintainer (Closes: #664098).
  * debian/clean
    - New file; clean files changed by autoreconf.
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump Standards-Verison to 3.9.5, no changes required.
    - Bump Build-Depends to debhelper (>=9).
    - Remove redundant Sound and Priority entries from binary package section.
    - Move Homepage entry to source package section.
    - Add dh-autoreconf to Build-Depends.
    - Add Vcs-* fields.
    - Add misc:Depends to Depends.
  * debian/copyright
    - Convert to machine-readable format version 1.0.
  * debian/(dirs|menu)
    - Rename from debian/wmrack.(dirs|menu).
  * debian/patches/add_format_arg_to_fprintf.patch
    - Avoid FTBFS due to -Werror=security build flag.
  * debian/patches/fix_hurd_ftbfs.patch
    - Use sys/cdrom.h on the Hurd.  Thanks to Samuel Thibault
      <sthibault@debian.org> (Closes: #647977).
  * debian/patches/fix_manpage.patch
    - Avoid Lintian manpage-related warnings.
  * debian/patches/update_autotools.patch
    - Update to work with modern autotools.
  * debian/rules
    - Simplify to use dh.
    - Use --with autoreconf.
    - Pass LDFLAGS via LIBS.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - New file.
  * debian/wmrack.dirs
    - Remove unnecessary file; directories already created in Makefile.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Fri, 15 Aug 2014 18:43:02 -0500

wmrack (1.4-2) unstable; urgency=low

  * WTF workaround for glitch in make (&& -> ||).

 -- Chris Waters <xtifr@debian.org>  Mon, 31 Mar 2008 16:27:06 -0700

wmrack (1.4-1) unstable; urgency=low

  * New upstream release.  Includes fix for overfrequent polling
    (Closes: #440407).
  * Patch to fix FTBFS if built twice in a row (Closes: #424123).
  * Patch to permit building with nostrip option (Closes: #438292).
  * Update menu for new menu policy.

 -- Chris Waters <xtifr@debian.org>  Sun, 30 Mar 2008 13:25:19 -0700

wmrack (1.3-2) unstable; urgency=low

  * Changed Build-Depends on xutils to libxt-dev because the configure
    script looks for a header in libxt-dev if it can't find xmkmf, and
    xmkmf has been moved to xutils-dev.  I could have changed to
    Build-Depends to xutils-dev, of course, but this way allows backports
    to sarge.  Thanks to Andreas Metzler for the suggestion (Closes: #365126).
  * Patch configure (and configure.in) to handle the case where X does not need
    additional include or library paths.  Thanks to Aaron Ucko.

 -- Chris Waters <xtifr@debian.org>  Sat, 29 Apr 2006 12:11:46 -0700

wmrack (1.3-1) unstable; urgency=low

  * New upstream release, includes fix for FTBFS on BSD/Hurd
    (Closes: #361724).
  * Update FSF address in debian/copyright.

 -- Chris Waters <xtifr@debian.org>  Wed, 26 Apr 2006 15:26:54 -0700

wmrack (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Split xlibs-dev Build-Depends (Closes: #346898).

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 21 Jan 2006 10:37:15 +0100

wmrack (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Waters <xtifr@debian.org>  Thu,  2 Oct 2003 15:01:42 -0700

wmrack (1.1-2) unstable; urgency=low

  * Add xutils to Build-Depends.

 -- Chris Waters <xtifr@debian.org>  Mon, 30 Apr 2001 11:35:04 -0700

wmrack (1.1-1) unstable; urgency=low

  * New upstream release.  Note that I am now the upstream maintainer as
    well as the Debian maintainer.  All my debian-specific patches have
    now been merged into the upstream source (as you might expect).
  * Remove the README.Debian, which was not at all wmrack related (except
    insofar as wmrack is one of many applications that use sound).
  * Change debian/copyright to mention new webpage and maintainer.
  * Add hints and longtitle to menu.
  * Clean up debian/rules; start using debhelper v3.
  * Rewrite description.

 -- Chris Waters <xtifr@debian.org>  Wed, 11 Apr 2001 16:07:58 -0700

wmrack (1.0b5-8) unstable; urgency=low

  * Change device open call to use O_RDONLY|O_NONBLOCK in order to get
    CDs to work with new glibc.
  * Update Build-Depends for new XF86-4.
  * Move files from /usr/X11/bin to /usr/bin (as per new proposed
    policy).

 -- Chris Waters <xtifr@debian.org>  Tue, 30 Jan 2001 13:45:14 -0800

wmrack (1.0b5-7) unstable; urgency=low

  * New maintainer.

 -- Chris Waters <xtifr@debian.org>  Sat, 11 Nov 2000 14:47:18 -0800

wmrack (1.0b5-6) unstable; urgency=low

  * Orphan package.


