=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --rename
